[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.Changed

Performs a change notification for the node with the specified reason.

## Declaration

Source position: comctrls.pp line 3086

`protected procedure TTreeNode.Changed(`
`ChangeReason: TTreeNodeChangeReason`
`);`

## Arguments

`ChangeReason` |  | Indicates the property value that was changed in the tree node.

## Description

Calls the NodeChanged method in the associated TreeView control.

## See also

TTreeNode.TreeView |  | The tree view control where the node is displayed.
TCustomTreeView.NodeChanged |  | Performs actions when a property value in the specified tree node has been changed.